"""add Google OAuth

Revision ID: 4bb57caf503b
Revises: f7f4d7de260f
Create Date: 2019-12-07 19:13:03.990283

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '4bb57caf503b'
down_revision = 'f7f4d7de260f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('user', sa.Column('social_id', sa.String(length=64), nullable=True))
    op.create_unique_constraint(None, 'user', ['social_id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'user', type_='unique')
    op.drop_column('user', 'social_id')
    # ### end Alembic commands ###
